import request from '@/utils/request'

// api地址
const api = {
  list: 'goods/list',
  chartsGoodsJing:'goods/chartsGoodsJing',
  brandList:'goods/brandList',
  getBannerList:'index/getBannerList',
  typeList:'category/list',
  cityInfo:'goods/cityInfo',
  search:'goods/hotWord',
  chartsGoodsJing:'goods/chartsGoodsJing'
}
// benner列表
export const getBannerList = (param, option) => {
  return request.get(api.getBannerList, param, option)
}
// 门店编辑
export const editShop = (param, option) => {
  return request.post('shop/editShop', param, option)
}

// 门店详情
export const cityInfo = (param, option) => {
  return request.get(api.cityInfo, param, option)
}
// 商品列表
export const list = (param, option) => {
  return request.get(api.list, param, option)
}
// 首页排行榜
export const chartsGoodsJing = (param, option) => {
  return request.get(api.chartsGoodsJing, param, option)
}


// 商品/大牌正品/新品首发列表
export const brandList = (param, option) => {
  return request.get(api.brandList, param, option)
}

// 首页分类
export const typeList = (param, option) => {
  return request.get(api.typeList, param, option)
}

//搜索发现
export const searchFind = (param, option) => {
  return request.get(api.search, param, option)
}
//搜索发现内容
export const chartsGoodsJingApi = (param, option) => {
  return request.get(api.chartsGoodsJing, param, option)
}
